/* FIXMHEAD.C
**
** Copyright (c)2002-2004 Andrew Durdin. (andy@durdin.net)
** This software is provided 'as-is', without any express or implied warranty.
** In no event will the authors be held liable for any damages arising from
** the use of this software.
** Permission is granted to anyone to use this software for any purpose, including
** commercial applications, and to alter it and redistribute it freely, subject
** to the following restrictions:
**    1. The origin of this software must not be misrepresented; you must not
**       claim that you wrote the original software. If you use this software in
**       a product, an acknowledgment in the product documentation would be
**       appreciated but is not required.
**    2. Altered source versions must be plainly marked as such, and must not be
**       misrepresented as being the original software.
**    3. This notice may not be removed or altered from any source distribution.
*/

#include <stdio.h>

unsigned char maphead[402];

int main( int argc, char *argv[] ) {
	FILE *fi, *fo;

	if( argc < 3 ) {
		printf( "Error: use FIXMHEAD infile outfile\n" );
		return 1;
	}

	fi = fopen( argv[1], "rb" );
	if( !fi ) {
		printf( "Error: cannot open %s!\n", argv[1] );
		return 1;
	}

	fo = fopen( argv[2], "wb" );
	if( !fo ) {
		fclose( fi );
		printf( "Error: cannot write to %s!\n", argv[2] );
	}

	// Extract the maphead data
	fseek( fi, 122, SEEK_SET );
	fread( maphead, 402, 1, fi );
	fwrite( maphead, 402, 1, fo );

	fclose( fi );
	fclose( fo );

	printf( "%s created successfully.\n", argv[2] );

	return 0;
}

